Package org.osgi.service.log.admin

# Interface LoggerAdmin

@ProviderType public interface LoggerAdmin
LoggerAdmin service for configuring loggers.

Each bundle may have its own named `LoggerContext` based upon its bundle symbolic name, bundle version, and bundle location. There is also a root Logger Context from which each named Logger Context inherits. The root Logger Context has no name.

When a bundle logs, the logger implementation must locate the Logger Context for the bundle to determine the `effective log level` of the logger name. The best matching name for the Logger Context is the longest name, which has a non-empty Logger Context, according to this syntax:

     name ::= symbolic-name ( '|' version ( '|' location )? )?

The version must be formatted canonically, that is, according to the `toString()` method of the `Version` class. So the Logger Context for a bundle is searched for using the following names in the given order:

     <symbolic-name>|<version>|<location>
     <symbolic-name>|<version>
     <symbolic-name>

The search stops at the first `non-empty` Logger Context. If no non-empty Logger Context is found using the above search order, the Logger Context with the symbolic name of the bundle must be used for the bundle.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LOG_SERVICE_ID`
Logger Admin service property to associate the Logger Admin service with a `LoggerFactory` service.

## Method Summary

Modifier and Type
Method
Description
`LoggerContext`
`getLoggerContext(String name)`
Get the Logger Context for the specified name.

## Field Details

### LOG_SERVICE_ID

static final String LOG_SERVICE_ID
Logger Admin service property to associate the Logger Admin service with a `LoggerFactory` service.

This service property is set to the `service.id` for the `LoggerFactory` service administered by this Logger Admin.

The value of this service property must be of type `Long`.

See Also:
  - Constant Field Values

## Method Details

### getLoggerContext

LoggerContext getLoggerContext(String name)
Get the Logger Context for the specified name.

Parameters:
  `name` - The name of the Logger Context. Can be `null` to specify the root Logger Context.
Returns:
  The Logger Context for the specified name. The returned Logger Context may be `empty`.